package at.jku.risc.stout.urauc.algo;

import at.jku.risc.stout.urauc.algo.AlignFnc.AlignmentIterator;
import at.jku.risc.stout.urauc.util.ControlledException;

public class MaximumIterationException extends ControlledException {
	private static final long serialVersionUID = -4689675816346813137L;
	private AlignmentIterator iter;

	public MaximumIterationException(String message, AlignmentIterator iter) {
		super(message);
		this.iter = iter;
	}

	public AlignmentIterator getPartialIterator() {
		return iter;
	}
}
